
Foreman - Bug #5649

Missing unattended_url field validation

05/09/2014 04:32 PM - Wojciech Kowalski

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: Settings   

Target version: 1.9.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2337

  

Description

Administration section allow to fill unattended_url without proper HTTP url format. Wrong scheme url's so ones that lacks http://

returns error while saving a host.

Related issues:

Related to Foreman - Bug #9613: :foreman_url should be mandatory Closed 03/03/2015

Associated revisions

Revision 06b10bee - 05/06/2015 05:16 AM - Ondřej Pražák

Fixes #5649 - unattended_url validation fix

History

#1 - 05/09/2014 04:34 PM - Dominic Cleal

- Category set to Settings

- Priority changed from Immediate to Normal

#2 - 04/29/2015 10:59 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2337 added

#3 - 05/06/2015 06:02 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 06b10beec5802ba87dff193731e40b3f676bdf77.

#4 - 05/06/2015 06:07 AM - Dominic Cleal

- Assignee set to Ondřej Pražák

- translation missing: en.field_release set to 35

#5 - 05/14/2015 04:22 AM - Dominic Cleal

- Related to Bug #9613: :foreman_url should be mandatory added
